package com.raycos.raycoscommon.Internal.datacenterapi;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbAmzToken {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 企业编号
     */
    private Long companyId;
    /**
     * 店铺ID
     */
    private Long storeId;
    /**
     * 短令牌 接口访问令牌
     */
    private String accessToken;
    /**
     * token 类型
     */
    private String tokenType;
    /**
     * 过期时间戳
     */
    private Long expiresIn;
    /**
     * 长令牌 可以用于刷新访问令牌
     */
    private String refreshToken;
    /**
     * 亚马逊区域ID
     */
    private String marketId;


}
