package com.raycos.raycoscommon.Internal.datacenterapi;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbStoreInfo {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业编号
     */
    private Long companyId;
    /**
     * 店铺名称
     */
    private String storeName;
    /**
     * 店铺类型 跨境:1 本土:2
     */
    private Short storeType;
    /**
     * 店铺类型 FBA:1 FBM:2
     */
    private Short storeModel;
    /**
     * 平台账号
     */
    private String platformAccount;
    /**
     * 站点
     */
    private String stationsIdStr;

    /**
     *  授权时应用程序生成的 state (UUID) 值。
     */
    private String   state;



}
