package com.raycos.raycoscommon.amzjson;


import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * https://api.amazon.com/auth/o2/token   接口返回实体类 接口返回正确的情况下 （不包括 异常情况返回）
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TokenRetAmzJson {
    @JSONField(name = "access_token")
    private String accessToken;
    @JSONField(name = "token_type")
    private String tokenType;
    @JSONField(name = "expires_in")
    private Long expiresIn;
    @JSONField(name = "refresh_token")
    private String refreshToken;


}
