package com.raycos.raycosdatacenterapi.authorize;

import com.raycos.raycoscommon.Internal.Result;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzToken;
import com.raycos.raycoscommon.Internal.datacenterapi.vo.GetAmzTokenByLwaCodeVo;

import java.util.List;

public interface AmzTokenService {

    void  addAmzToken (TbAmzToken tbAmzToken)throws Exception;

    void  delAmzToken (TbAmzToken tbAmzToken)throws Exception;

    void  editAmzToken (TbAmzToken tbAmzToken)throws Exception;

    List<TbAmzToken> selAmzToken (TbAmzToken tbAmzToken)throws Exception;

    TbAmzToken selAmzTokenById (TbAmzToken tbAmzToken)throws Exception;


    Result<String>  lwaRefreshToken(TbAmzToken tbAmzToken  ) throws Exception;

    /**
     * 使用LWA code 获取亚马逊令牌
     *
     * @return
     */
    Result<String> getAmzTokenByLwaCode (GetAmzTokenByLwaCodeVo  gatblcVo )throws Exception;


}
