package com.raycos.raycosdatacenterapi.config;

import org.springframework.cloud.client.loadbalancer.LoadBalanced;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;

/**
 * @Author: xiaojiabin
 * @Date: 2024/9/2 16:34
 */

@Configuration
public class RestTemplateConfig {

    @Bean
    @LoadBalanced
    public RestTemplate restTemplate() {
        System.out.println("restTemplate nacos 服务间的调用 ");
        return new RestTemplate();
    }

    @Bean("ExternalNetwork")
    public RestTemplate ExternalNetwork() {
        System.out.println("ExternalNetwork  对外发送请求 ");
        return new RestTemplate();
    }
}
