package com.raycos.raycosdatacenterapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzToken;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

public interface TbAmzTokenMapper extends BaseMapper<TbAmzToken> {
    @Delete("DELETE FROM  tb_amz_token  WHERE id = #{id}")
    int delAmzToken(@Param("id") Long id );

    @Update("UPDATE tb_amz_token " +
            "SET access_token = #{accessToken}, " +
            "token_type = #{tokenType} ," +
            "expires_in =#{expiresIn } , " +
            "refresh_token =#{refreshToken} " +
            "WHERE id = #{id}")
    int  updateAccessToken( TbAmzToken  tbAmzToken);
}
