package com.raycos.raycoscommon.amzjson;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 *   https://api.amazon.com/auth/o2/token   接口入参实体类
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TokenAmz {
    @JSONField(name = "grant_type")
    private String grantType;
    @JSONField(name = "code")
    private String code;
    @JSONField(name = "redirect_uri")
    private String redirectUri;
    @JSONField(name = "client_id")
    private String clientId;
    @JSONField(name = "client_secret")
    private String clientSecret;



}
